services:
  dockge:
    image: louislam/dockge:latest
    restart: unless-stopped
    ports:
      # Host Port : Container Port
      - 5001:5001
    volumes:
      - /var/run/docker.sock:/var/run/docker.sock
      - dockge_data:/app/data
      - /opt/docker/compose:/opt/docker/compose
    labels:
      - homepage.group=ESH
      - homepage.name=Dockge
      - homepage.icon=si-portainer
      - homepage.description=Docker
      - homepage.href=http://10.0.50.45:5001
    environment:
      # Tell Dockge where is your stacks directory
      - DOCKGE_STACKS_DIR=/opt/docker/compose
    networks:
      - tnet

volumes:
  dockge_data: null
networks:
  tnet:
    name: traefik-net
    external: true
